aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/all.sh2
-rwxr-xr-xtests/prepare.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/all.sh b/tests/all.sh
index d0fe307..1237154 100755
--- a/tests/all.sh
+++ b/tests/all.sh
@@ -2,4 +2,4 @@
cd "$( dirname "${BASH_SOURCE[0]}" )"
./t_codingstandard.sh
-[[ $? -ne 0 ]] && exit 1
+[[ ! $? -ne 0 ]] || exit 1
diff --git a/tests/prepare.sh b/tests/prepare.sh
index d8248b4..89982c3 100755
--- a/tests/prepare.sh
+++ b/tests/prepare.sh
@@ -9,7 +9,7 @@ cp ../example.conf mcwrapper.conf
if [[ $PREPARED != "y" ]]; then
# Move to known directory
- cd "$( dirname "${BASH_SOURCE[0]}" )"
+ cd "$( readlink -f "${BASH_SOURCE[0]}" )"
if [[ $MCSERVERS == "y" ]]; then
mkdir -p minecraft-server